Skip to main content
GET
/
accounts
/
{account_id}
/
automations
/
{id}
Retrieve a single automation
curl --request GET \
  --url https://api.brale.xyz/accounts/{account_id}/automations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
  "name": "Customer Onramp",
  "status": "complete",
  "wire_instructions": {
    "beneficiary_name": "Jane Business",
    "bank_name": "Example Bank",
    "bank_address": "456 Commerce St., Des Moines, IA 50309",
    "account_number": "123456789",
    "routing_number": 63108680,
    "beneficiary_address": "612 Commerce St., Des Moines, IA 50309",
    "memo": "AB1C23456789"
  },
  "destinationAddress": {
    "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
    "value_type": "SBC",
    "transfer_type": "solana"
  }
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Path Parameters

account_id
string<ksuid>
required

The ID of the account

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

id
string<ksuid>
required

The ID of the automation

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

Response

200 - */*

A single automation object

id
string<ksuid>
Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

name
string
Example:

"Customer Onramp"

status
string
Example:

"complete"

wire_instructions
WireInstructions · object
destinationAddress
AutomationDestinationAddress · object